%global srcname astropy-helpers
%global sum Utilities for building and installing Astropy and Astropy affiliated packages

# Description for all subpackages
%global common_description                                                   \
This project provides a Python package, astropy_helpers, which includes many \
build, installation, and documentation-related tools used by the Astropy     \
project, but packaged separately for use by other projects that wish to      \
leverage this work. The motivation behind this package and details of its    \
implementation are in the accepted Astropy Proposal for Enhancement (APE) 4.

Name:           python-%{srcname}
Version:        1.2
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools
BuildRequires:  numpy
BuildRequires:  python3-numpy
BuildRequires:  python-sphinx
BuildRequires:  python3-sphinx
BuildRequires:  pytest
BuildRequires:  python3-pytest

%description
%{common_description}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       numpy
Requires:       python-setuptools
Requires:       python-sphinx

%description -n python2-%{srcname}
%{common_description}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-numpy
Requires:       python3-setuptools
Requires:       python3-sphinx

%description -n python3-%{srcname}
%{common_description}


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
# Tests disabled for Python3 as they are not yet ported completely
# (they require the compiler module removed in Python 3)
#%%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Sun Sep 25 2016 Christian Dersch <lupinix@mailbox.org> - 1.2-1
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Mar 25 2016 Christian Dersch <lupinix@mailbox.org> - 1.1.2-1
- new version

* Sun Jan 10 2016 Christian Dersch <lupinix@mailbox.org> - 1.1.1-1
- Initial spec


